clear all, close all
%Run this script to see if the fitting routine works on your local machine

order=[21; 23; 19; 15; 2; 9; 3; 25; 20; 7; 24; 27; 22; 28; 12; 4; 1; 5; 10; 18; 17; 6; 26; 16; 11; 14; 8; 30; 13; 29];
load ms_name_raw_rts.mat %Naming data from correspondence test
 	data_matrix=zeros(size(ms_name_raw_rts));
 	 %reorder subjects roughly from smallest alpha to largest
      for j=1:size(ms_name_raw_rts,2)
      	data_matrix(:,j)=ms_name_raw_rts(:,order(j,1));
      end
  % Absolute triming critera    
  lo_rt=350;
  hi_rt=3500;

%% Fitting loop
for j=1:size(data_matrix,2)
    disp(j)
    %this does the trimming
    data=abs(data_matrix(:,j));
    data(data < lo_rt | data > hi_rt | isnan(data))=[];
    
    try
        % this does the fitting
        [output{j}] =  cocktail_model_estimation(data);
        %paramters are output to a structure
    catch
        display(['FAILED ON: ' num2str(j)]), continue
    end
    
   
end

%% Plotting the density functions
%     %requires the statistics toolbox for the ksdensity function
% xax=lo_rt:hi_rt;
% for i=1:30
%     data=abs(data_matrix(:,i));
%     data(data < lo_rt | data > hi_rt | isnan(data))=[];
%     f=ksdensity(data,xax,'width',10);
%     c=cocktail_pdf(xax,output{i});
%     subplot(6,5,i), 
%     plot(xax,f,'k',xax,c,'r')
% end

%% Computing the synthetic data KS test.
    %This takes a long time unless you have the parallel toolbox.
 

p=zeros(30,1);

for j=1:30
    disp(j)
 data=abs(data_matrix(:,j));
 data(data < lo_rt | data > hi_rt | isnan(data))=[];  
p(j,1)=cocktail_synthKStest(output{j},data,lo_rt,hi_rt);
end

